package debug;

import java.time.LocalDateTime;

public class SchriftverkehrResultItem
{
    private final int number;
    private final String type;
    private LocalDateTime now = LocalDateTime.now();
    
    public SchriftverkehrResultItem(int number, String type) {
        this.number = number;
        this.type = type;
    }
    
    @Override
    public String toString() {
        return number+". "+type;
    }

    public LocalDateTime getErstellungsZeitpunkt() {
        return now;
    }

    public LocalDateTime getEinbringungsZeitpunkt() {
        return now;
    }

    public LocalDateTime getVersandZeitpunkt() {
        return now;
    }

    public String getInhaltArtLabel() {
        return "Inhalt "+number;
    }

    public String getAktenzeichen() {
        return "Aktenzeichen_XYZ_alia_italia_"+number;
    }

    public String getEinbringerLabel() {
        return number % 2 == 0 ? "Dr. Norbert Oberhuber-Unterbauer (R123456)"
                : number % 3 == 0 ? "Dr. Rechtsberger (R654321)"
                : "Einbringer "+number;
    }

    public String getStatus() {
        return "Ungewiss";
    }

}
