package fri.util.pdfbox.model;

import org.apache.pdfbox.pdmodel.PDPage;

import fri.util.pdfbox.model.geometry.Point;
import fri.util.pdfbox.model.geometry.Rectangle;

public class WriteState
{
    /**
     * Point inside consumed rectangle where text writing stopped,
     * including one space if not at start of new line.
     */
    public final Point currentTopLeft;
    /**
     * The rectangle consumed so far, maybe including some free space
     * to the right of <code>currentTopLeft</code>. That point may
     * be at bottom of the rectangle on a new line, or one lineHeight
     * above it with some free space to the right.
     */
    public final Rectangle consumedRectangle;
    /**
     * The pages consumed while writing, in ascending order.
     */
    public final PDPage[] consumedPages;
    
    public WriteState(Point currentTopLeft, Rectangle consumedRectangle, PDPage[] consumedPages) {
        this.currentTopLeft = currentTopLeft;
        this.consumedRectangle = consumedRectangle;
        this.consumedPages= consumedPages;
    }
    
}
