package fri.util.pdfbox.model.components;

import java.io.IOException;

import fri.util.pdfbox.model.PdfBoxDocument;
import fri.util.pdfbox.model.geometry.Font;

/**
 * Can print text as open-bottom multiline columns, or as single line.
 * 
 * @author fri May 4, 2019
 */
public class PdfBoxParagraph extends PdfBoxTextComponent
{
    /**
     * @param document required, the PDF document to write into.
     * @param font optional, the font to be used by any write-method.
     * @throws IOException when PDFBox throws one.
     */
    public PdfBoxParagraph(PdfBoxDocument document, Font font) throws IOException {
        super(document.getOrCreateWriter(), font);
    }
    
}
