package fri.util.pdfbox.model.geometry;

/**
 * 2-dimensional point.
 * Coordinate origin x=0/y=0 is in left upper corner.
 * Positive y goes down, positive x goes right.
 * 
 * @author fri May 9, 2019
 */
public class Point
{
    public final float x;
    public final float y;
    
    public Point() {
        this(0f, 0f);
    }
    public Point(Point other) {
        this(other.x, other.y);
    }
    public Point(float x, float y) {
        this.x = x;
        this.y = y;
    }
    
    public Point bottomRight(Dimension dimension) {
        return new Point(x + dimension.width, y + dimension.height);
    }
    
    public Point withX(float x) {
        return new Point(x, this.y);
    }
    public Point withY(float y) {
        return new Point(this.x, y);
    }
}